diff -urN InfoBox-0.9/InfoBoxd.conf InfoBox-0.9.new/InfoBoxd.conf
--- InfoBox-0.9/InfoBoxd.conf	2005-09-14 00:43:13.000000000 +0200
+++ InfoBox-0.9.new/InfoBoxd.conf	2009-08-19 22:06:34.000000000 +0200
@@ -4,9 +4,9 @@
 
 <busconfig>
  <policy context="default">
-  <allow own="org.freedesktop.Notifications"/>
-  <allow send_interface="org.freedesktop.Notifications"/>
-  <allow receive_interface="org.freedesktop.Notifications"
-         receive_sender="org.freedesktop.Notifications"/>
+  <allow own="org.freedesktop.Infobox"/>
+  <allow send_interface="org.freedesktop.Infobox"/>
+  <allow receive_interface="org.freedesktop.Infobox"
+         receive_sender="org.freedesktop.Infobox"/>
  </policy>
 </busconfig>
diff -urN InfoBox-0.9/Makefile.am InfoBox-0.9.new/Makefile.am
--- InfoBox-0.9/Makefile.am	2005-09-14 16:50:14.000000000 +0200
+++ InfoBox-0.9.new/Makefile.am	2009-08-19 22:07:08.000000000 +0200
@@ -7,7 +7,7 @@
 dbus_DATA = InfoBoxd.conf
 
 servicedir       = $(DBUS_SERVICES_DIR)
-service_in_files = org.freedesktop.Notifications.service.in
+service_in_files = org.freedesktop.Infobox.service.in
 service_DATA     = $(service_in_files:.service.in=.service)
 
 $(service_DATA): $(service_in_files) Makefile
diff -urN InfoBox-0.9/Makefile.in InfoBox-0.9.new/Makefile.in
--- InfoBox-0.9/Makefile.in	2005-09-14 16:50:26.000000000 +0200
+++ InfoBox-0.9.new/Makefile.in	2009-08-19 22:07:41.000000000 +0200
@@ -166,7 +166,7 @@
 dbusdir = ${DBUS_SYS_DIR}
 dbus_DATA = InfoBoxd.conf
 servicedir = $(DBUS_SERVICES_DIR)
-service_in_files = org.freedesktop.Notifications.service.in
+service_in_files = org.freedesktop.Infobox.service.in
 service_DATA = $(service_in_files:.service.in=.service)
 infoboxdocdir = ${prefix}/doc/infobox-@VERSION@
 infoboxdoc_DATA = \
diff -urN InfoBox-0.9/org.freedesktop.Infobox.service.in InfoBox-0.9.new/org.freedesktop.Infobox.service.in
--- InfoBox-0.9/org.freedesktop.Infobox.service.in	1970-01-01 01:00:00.000000000 +0100
+++ InfoBox-0.9.new/org.freedesktop.Infobox.service.in	2009-08-19 22:05:50.000000000 +0200
@@ -0,0 +1,3 @@
+[D-BUS Service]
+Name=org.freedesktop.Infobox
+Exec=@libexecdir@/infoboxd
diff -urN InfoBox-0.9/org.freedesktop.Notifications.service.in InfoBox-0.9.new/org.freedesktop.Notifications.service.in
--- InfoBox-0.9/org.freedesktop.Notifications.service.in	2005-09-13 11:21:10.000000000 +0200
+++ InfoBox-0.9.new/org.freedesktop.Notifications.service.in	1970-01-01 01:00:00.000000000 +0100
@@ -1,3 +0,0 @@
-[D-BUS Service]
-Name=org.freedesktop.Notifications
-Exec=@libexecdir@/infoboxd
diff -urN InfoBox-0.9/src/infobox InfoBox-0.9.new/src/infobox
--- InfoBox-0.9/src/infobox	2005-09-15 01:05:56.000000000 +0200
+++ InfoBox-0.9.new/src/infobox	2009-08-19 22:10:12.000000000 +0200
@@ -20,8 +20,8 @@
     s ) summary=$OPTARG;;
     m ) msg=$OPTARG;;
     g ) image=$OPTARG;;
-    c ) dbus-send --dest="org.freedesktop.Notifications" --print-reply --type=method_call /org/freedesktop/Notifications \
-	 org.freedesktop.Notifications.SetServerConfig string:"[InfoBoxDaemon]
+    c ) dbus-send --dest="org.freedesktop.Infobox" --print-reply --type=method_call /org/freedesktop/Notifications \
+	 org.freedesktop.Infobox.SetServerConfig string:"[InfoBoxDaemon]
 	 $OPTARG"
 	exit;;
     h ) echo -e $usage
@@ -33,5 +33,5 @@
   esac
 done
 
-dbus-send --dest="org.freedesktop.Notifications" --print-reply --type=method_call /org/freedesktop/Notifications \
- org.freedesktop.Notifications.ShortNotify string:"$app_name" string:"$app_icon" string:"$summary" string:"$msg" string:"$image"
+dbus-send --dest="org.freedesktop.Infobox" --print-reply --type=method_call /org/freedesktop/Notifications \
+ org.freedesktop.Infobox.ShortNotify string:"$app_name" string:"$app_icon" string:"$summary" string:"$msg" string:"$image"
diff -urN InfoBox-0.9/src/infoboxd.c InfoBox-0.9.new/src/infoboxd.c
--- InfoBox-0.9/src/infoboxd.c	2005-09-15 01:04:56.000000000 +0200
+++ InfoBox-0.9.new/src/infoboxd.c	2009-08-19 22:09:15.000000000 +0200
@@ -977,7 +977,7 @@
         DBusMessage *signal;
         DBusMessageIter iter;
     
-        signal=dbus_message_new_signal("/org/freedesktop/Notifications", "org.freedesktop.Notifications", "NotificationClosed");
+        signal=dbus_message_new_signal("/org/freedesktop/Notifications", "org.freedesktop.Infobox", "NotificationClosed");
         DBG("Sending NotificationClosed signal with id %d\n", ib.notifyid);
         dbus_message_iter_init_append(signal, &iter);
         dbus_message_iter_append_basic(&iter, DBUS_TYPE_UINT32, &ib.notifyid);
@@ -1315,14 +1315,14 @@
         DBG("method=%s\n", member);
 
         path=dbus_message_get_path(message);
-        if(g_ascii_strcasecmp(path, "/org/freedesktop/Notifications")!=0)
+        if(g_ascii_strcasecmp(path, "/org/freedesktop/Infobox")!=0)
         {
             DBG("message received on unknown object '%s'\n", path);
             RET(DBUS_HANDLER_RESULT_NOT_YET_HANDLED);
         }
 
         iface=dbus_message_get_interface(message);
-        if(g_ascii_strcasecmp(iface, "org.freedesktop.Notifications")!=0)
+        if(g_ascii_strcasecmp(iface, "org.freedesktop.Infobox")!=0)
         {
             DBG("unknown message received: %s.%s\n", iface, member);
             RET(DBUS_HANDLER_RESULT_NOT_YET_HANDLED);
@@ -1391,10 +1391,10 @@
     }
     dbus_connection_setup_with_g_main(ib.dbusconn, NULL);
 
-    dbus_bus_request_name(ib.dbusconn, "org.freedesktop.Notifications", 0, &error);
+    dbus_bus_request_name(ib.dbusconn, "org.freedesktop.Infobox", 0, &error);
     if(dbus_error_is_set(&error))
     {
-        g_fprintf(stderr, "Unable to acquire service org.freedesktop.Notifications: %s\n",
+        g_fprintf(stderr, "Unable to acquire service org.freedesktop.Infobox: %s\n",
                 error.message);
         exit(1);
     }
